<div align="center" style="text:align:center">
  <img src="docs/media/logo.png" width="60%">
</div>

---

<div align="center" style="text:align:center">
  <img src="docs/media/app.png" width="80%" style="padding: 2.5rem 0px 0.5rem">
</div>

## Features

Available:

- Markdown support (Github flavored)
- Note version history
- Automatic note expiration via `@exp:` title prefixes
- Keyboard navigation support
- User account administration

Waiting to be implemented:

- (Bulk) import/export (Markdown, PDF)
- Webhooks

## Usage

The Dockerized app can be run in fullstack (`docker-compose-full.yml`) and backend (`docker-compose-back.yml`) modes. In backend mode only the Golang server (and the Postgres database) are containerized and the frontend can be run separately for quicker development (`npm run dev`). The default fullstack setup defaults to exposing port 3000.

The `./scripts/run_dev.sh -h` output can be used as reference of running each of the available modes (or purging data from previous test runs with `-p` or `-q`):

```
[?] usage: ./scripts/run_dev.sh [-h|-f|-p]
	-f run both frontend and backend (default: false)
	-p purge any existing database artifacts (default: false)
	-q only purge old data without building/spawning any new containers (default: false)
```
